Deep Link generator
Mobil ilova URL schemelari, Web, Play Market va App Store havolalarini generatsiya qilish.
Mobil ilova URL schemalari, web, Play Market va App Store havolalarini bitta so'rovda oling.
GET
https://www.kitobchi.com/api/v1/client/deeplink
Deep Link generator
Ilova URL schemelari (kitobchi://...), Web, Play Market va App Store havolalarini avtomatik generatsiya qiladi.
Query parametrlari
| Parametr | Turi | Talab | Tavsifi |
|---|---|---|---|
| type | string | ixtiyoriy | Turi: book, stationery, seller. |
| id | integer | majburiy | Mahsulot yoki do‘kon ID raqami. |
curl --request GET \ --url 'https://www.kitobchi.com/api/v1/client/deeplink?type=book&id=128' \ --header 'Accept: application/json' \ --header 'X-App-ID: app_xxxxxxxxxxxx' \ --header 'X-App-Secret: your-secret'
const res = await fetch("https://www.kitobchi.com/api/v1/client/deeplink?type=book&id=128", {
headers: {
"Accept": "application/json",
"X-App-ID": "app_xxxxxxxxxxxx",
"X-App-Secret": process.env.KITOBCHI_APP_SECRET,
},
});
const data = await res.json();
<?php
$ch = curl_init("https://www.kitobchi.com/api/v1/client/deeplink?type=book&id=128");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Accept: application/json',
'X-App-ID: app_xxxxxxxxxxxx',
'X-App-Secret: ' . getenv('KITOBCHI_APP_SECRET'),
],
]);
$data = json_decode(curl_exec($ch), true);
curl_close($ch);
import os, requests
res = requests.get(
"https://www.kitobchi.com/api/v1/client/deeplink?type=book&id=128",
headers={
"Accept": "application/json",
"X-App-ID": "app_xxxxxxxxxxxx",
"X-App-Secret": os.environ["KITOBCHI_APP_SECRET"],
},
)
data = res.json()
Javob
200 OK
{
"status": "success",
"data": {
"type": "book",
"id": 128,
"web_url": "https://kitobchi.com/book/128",
"app_scheme_url": "kitobchi://book/128",
"play_store_url": "https://play.google.com/store/apps/details?id=com.kitobchi.app",
"app_store_url": "https://apps.apple.com/app/kitobchi/id6470000000",
"smart_redirect_url": "https://kitobchi.com/r/book/128"
}
}
Sinab ko'rish
X-App-ID
X-App-Secret
type
id *